Last Comment Bug 331839 - View Source menu command does not respect shift modifier
: View Source menu command does not respect shift modifier
Status: RESOLVED FIXED
: fixed1.8.1.1
Product: Camino Graveyard
Classification: Graveyard
Component: Toolbars & Menus (show other bugs)
: unspecified
: PowerPC Mac OS X
-- normal (vote)
: Camino1.5
Assigned To: froodian (Ian Leue)
:
:
Mentors:
http://www.caminobrowser.org
Depends on: 275170
Blocks: 328173
  Show dependency treegraph
 
Reported: 2006-03-27 01:48 PST by Smokey Ardisson (offline for a while; not following bugs - do not email)
Modified: 2006-10-27 17:48 PDT (History)
2 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description User image Smokey Ardisson (offline for a while; not following bugs - do not email) 2006-03-27 01:48:05 PST
At the end of bug 188604, torben posted, in response to Chris: 

------- Comment #30 From Torben  2006-03-19 13:05 PST  [reply] -------

> In case anyone is wondering why I modified it to take an external
> loadInBackground parameter, the GetCurrentEventKeyModifiers() works better the
> higher up you call it, so I'm looking for it when the two IBActions that call
> |loadSourceOfURL| are triggered instead.

So Cmd-Opt-Shift-v should open the source tab/window in the background, right?
For me it just beeps without opening anything :-( Cmd-Opt-v works fine(ie opens
the source tab/window in the foreground). OS X 10.3.9, 1.8-branch build.

---
The shift toggle works fine for the toolbar button, but I can confirm (trunk) that the keyboard shortcut Cmd-Opt-Shift-v just beeps :-(

Is this something that got overlooked, or is it something that needs alternate menu items (bug 290212), or ?
Comment 1 User image froodian (Ian Leue) 2006-07-09 09:55:54 PDT
Overlooked this somehow in the big alternate menu items bug.  Taking.
Comment 2 User image froodian (Ian Leue) 2006-09-30 14:29:29 PDT
The fix for this is in 275170.
Comment 3 User image froodian (Ian Leue) 2006-10-11 09:48:08 PDT
Fixed.

Note You need to log in before you can comment on or make changes to this bug.